| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Overview
Use this method to add or remove an assignee for a specific case in Case Management.
InfoThis endpoint is available only in the paid version of Case Management 2.0 and does not manage case assignees in earlier versions.
TipYou can also manage assignees in the Dashboard: open the relevant case and, on the Overview tab, select or remove the assignee.
Request examples
curl -X POST \
'https://api.sumsub.com/resources/api/caseManagement/v2/cases/6a54a0f87d35556badb00000/assignee' \
-H-header 'X-App-Token: prd:R03QIvwZKbfOThvtEkB1N6Fb.QA6PtdMwLpTSroZPozHDcKlnqvwillRA' \
-H 'content-type: application/json' \
-H 'X-App-Token: <your-app-token>' \
-H 'X-App-Access-Sig: <your-signature>' \
-H 'X-App-Access-Ts: <unix-timestamp>' \
-d '{
"assignee": "[email protected]"
}'curl -X POST \
'https://api.sumsub.com/resources/api/caseManagement/v2/cases/6a54a0f87d35556badb00000/assignee' \
-H-header 'X-App-Token: prd:R03QIvwZKbfOThvtEkB1N6Fb.QA6PtdMwLpTSroZPozHDcKlnqvwillRA' \
-H 'content-type: application/json' \
-H 'X-App-Token: <your-app-token>' \
-H 'X-App-Access-Sig: <your-signature>' \
-H 'X-App-Access-Ts: <unix-timestamp>' \
-d '{}'Response explained
The response is a JSON object containing data for the case.
Below, you can see the response structure and possible content with descriptions.
| Field | Type | Description |
|---|---|---|
id | String | Unique case identifier. |
name | String | Case name. |
applicantReference | Object | Reference data for the applicant associated with the case. |
createdByType | String | Indicates the type of entity that created the case. Possible values: |
groupByType | String | Grouping type used for the case. |
createdByRule | Object | Information about the rule that created the case. Returned only if |
createdByOfficer | String | Officer's identifier. Returned only if |
createdByWorkflowRef | Object | Information about the workflow that created the case. Returned only if |
createdAt | Date | Date and time when the case was created, in the format yyyy-MM-dd HH:mm:ssZZ. |
updatedAt | Date | Date and time when the case was last updated, in the format yyyy-MM-dd HH:mm:ssZZ. |
totalAmountInDefaultCurrency | Double | Total amount of all transactions submitted for the case, in the default currency. Returned if at least one transaction was submitted in the request. |
clientId | String | Unique identifier of you as our client in the Sumsub system. This identifier is assigned to you when you are registered in and get access to the Sumsub system. It usually resembles your name or your company name. |
review | Object | Includes case review data. Note: This field is deprecated and will be removed once KM1 support ends. |
applicantInfo | Object | General information about the applicant associated with the case. |
blueprintReference | Object | Includes reference data of the blueprint assigned to the case. |
caseReview | Object | The current review state and checklist of the case. |
amlCases | Array of objects | A list of AML cases associated with the case. |
priority | String | Case priority (low, medium, high). Defaults to medium. |
| sourceKeys | Array of strings | A list of source keys that help you group clients sending applicants. |
applicantReference attributes
applicantReference attributesThis table describes the applicantReference attributes.
| Field | Type | Description |
|---|---|---|
applicantId | String | Unique identifier of the applicant in the Sumsub system. |
fullName | String | Applicant's full name. |
createdByRule attributes
createdByRule attributesReturned only if "createdByType": "byRule".
| Field | Type | Description |
|---|---|---|
id | String | Unique identifier of the rule. |
name | String | Name of the rule. |
title | String | Display name of the rule. |
revision | Integer | Revision number. |
createdByWorkflowRef attributes
createdByWorkflowRef attributesReturned only if "createdByType": "byWorkflow".
| Field | Type | Description |
|---|---|---|
id | String | Unique identifier of the workflow. |
title | String | Name of the action from the workflow. |
review attributes
review attributesThis table describes the review attributes.
| Field | Type | Description |
|---|---|---|
reviewId | String | Unique review identifier. |
attemptId | String | Unique identifier of the current case verification attempt. |
attemptCnt | Integer | Sequential number of the current case verification attempt. |
createDate | Date | Date and time when the case review was initiated in the Sumsub system, in the format yyyy-MM-dd HH:mm:ssZZ. |
reviewStatus | String | Case review status (for example, init). |
applicantInfo attributes
applicantInfo attributesThis table describes the applicantInfo attributes.
| Field | Type | Description |
|---|---|---|
firstName | String | Applicant's first name in the original language. |
firstNameEn | String | Automatic's transliteration of the applicant first name into Latin characters. |
middleName | String | Applicant's middle name in the original language. |
middleNameEn | String | Automatic's transliteration of the applicant middle name into Latin characters. |
lastName | String | Applicant's last name in the original language. |
lastNameEn | String | Automatic's transliteration of the applicant last name into Latin characters. |
dob | String | Applicant's date of birth as a Unix timestamp in milliseconds. |
country | String | Applicant's country as an ISO 3166-1 alpha-3 country code (for example, DEU, GBR, ARG).. |
blueprintReference attributes
blueprintReference attributesThis table describes the blueprintReference attributes.
| Field | Type | Description |
|---|---|---|
name | String | Name of the assigned blueprint. |
blueprintId | String | Unique identifier of the blueprint. |
caseReview attributes
caseReview attributesThe table describes the caseReview attributes.
| Field | Type | Description |
|---|---|---|
status | String | Current status of the case review. Possible values: |
stage | String | Custom name of the case review stage. |
assignee | String | Login of the user assigned to the case (usually a corporate email address, for example: [email protected]). |
startDate | Date | Date and time when the case was created, in the format yyyy-MM-dd HH:mm:ssZZ. |
checklistState | Object | Checklist state associated with the case. |
checklistState.checklist[]
checklistState.checklist[]| Field | Type | Description |
|---|---|---|
name | String | The name of the checklist item. |
checked | Boolean | Indicates whether the checklist item is completed (true) or not (false). |
amlCases[]
amlCases[]| Field | Type | Description |
|---|---|---|
amlCaseId | String | Unique identifier of the AML case. |
Response examples
If the request is successfully sent and processed, you will get a response like the one below.
{
"id": "6a437dc0f130c18d82900000",
"name": "Case name",
"applicantReference": {
"applicantId": "69ce0251363a8c667ee00000",
"fullName": "John Doe"
},
"createdByType": "byOfficer",
"createdByOfficer": "Service",
"createdAt": "2026-06-30 08:26:41+0000",
"updatedAt": "2026-06-30 08:42:08+0000",
"clientId": "your_cool_client_id",
"review": {
"reviewId": "tewaY",
"attemptId": "cWjSf",
"attemptCnt": 0,
"createDate": "2026-06-30 08:26:40+0000",
"reviewStatus": "init"
},
"applicantInfo": {
"firstName": "John",
"firstNameEn": "John",
"lastName": "Doe",
"lastNameEn": "Doe",
"dob": -157766400000,
"country": "ARG"
},
"blueprintReference": {
"name": "amlBp",
"blueprintId": "69f0bbf5ece0d7fa01b00000"
},
"caseReview": {
"status": "open",
"assignee": "[email protected]",
"startDate": "2026-06-30 08:26:41+0000"
},
"priority": "medium",
"sourceKeys": [
"sourceKeyLatest"
]
}If the request fails, you will receive an HTTP response containing an error code along with a message explaining the error. For example:
{
"code": 400,
"correlationId": "b17b2be620c6a39105658537f0d859e4",
"description": "The request body must not be null"
} 200